
TYPO3 Flow Base Distribution - Task # 27770

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category:
Created: 2011-06-29 Assigned To: Karsten Dambekalns
Updated: 2012-03-13 Due date:
Subject: Remove deprecated methods/classes for FLOW3 1.1
Description

Everything that was deprecated before 1.0.0 can be removed (create() on the ObjectManager will stay for Fluid only, to ease
backporting).

Related issues:
related to TYPO3.Flow - Bug # 33789: PersistentObjectConverter may break with... Resolved 2012-02-08

Associated revisions
Revision 00b96438 - 2012-02-08 11:16 - Karsten Dambekalns

[TASK] Remove deprecated methods and unused code

Things which have been deprecated prior to the 1.0.0 release are
removed with this change.

Change-Id: I9dae13a134bebd7a01df12c0ad35bd826422b76a
Resolves: #27770
Releases: 1.1

Revision a29012b6 - 2012-03-12 15:19 - Karsten Dambekalns

[TASK] Remove deprecated methods and unused code

Things which have been deprecated prior to the 1.0.0 release are
removed with this change:

    -  Cache\AbstractFrontend->getClassTag()
    -  ObjectManager->create()
    -  ObjectManager->recreate()
    -  HashService->generateSaltedMd5()
    -  HashService->validateSaltedMd5()

Resolves: #27770
Fixes: #33789
Releases: 1.1
Change-Id: I565146b05577d946e9031a52b0444f72666cba22

Revision 039ef098 - 2012-03-22 16:19 - Bastian Waidelich

[TASK] Remove occurences of removed form.textbox ViewHelper

There are still some places referring to the no longer existing
Textbox form ViewHelper.
This adjusts code accordingly by replacing textbox with textfield
where applicable.

Change-Id: I6d2af64244336dacd04f4155e81389c2dd097669
Related: #27770
Releases: 1.1

History
#1 - 2011-07-20 00:50 - Stefan Neufeind

I guess we can remove everything that is deprecated (even if just "@deprecated since 1.0.0 alpha 7" or so) since that is alpha-state currently, right?

#2 - 2011-10-20 01:43 - Karsten Dambekalns
- Target version changed from 1230 to 1.1

#3 - 2011-11-22 00:54 - Karsten Dambekalns
- Status changed from New to Under Review
- Assigned To set to Karsten Dambekalns

#4 - 2011-11-22 00:55 - Mr. Jenkins

Patch set 5 of change I9dae13a134bebd7a01df12c0ad35bd826422b76a has been pushed to the review server.
It is available at http://review.typo3.org/5993

#5 - 2011-12-14 11:32 - Karsten Dambekalns
- Project changed from TYPO3.Fluid to TYPO3 Flow Base Distribution

#6 - 2011-12-14 11:34 - Karsten Dambekalns
- Subject changed from Remove deprecated methods/classes for FLOW3 1.0 to Remove deprecated methods/classes for FLOW3 1.1

#7 - 2011-12-14 11:37 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5992

#8 - 2011-12-16 11:04 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5992

#9 - 2011-12-16 11:04 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5993

#10 - 2012-01-05 17:06 - Gerrit Code Review
Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5992

#11 - 2012-01-29 21:46 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5992

#12 - 2012-01-29 21:54 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5992

#13 - 2012-02-08 14:05 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5993

#14 - 2012-02-08 14:47 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:00b96438b98c37dae50d3f04f92183eb61372fa0.

#15 - 2012-02-08 16:56 - Karsten Dambekalns
- Status changed from Resolved to Under Review

#16 - 2012-02-08 17:02 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5992

#17 - 2012-02-09 11:07 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5992

#18 - 2012-03-12 15:26 - Gerrit Code Review

Patch set 14 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5992

#19 - 2012-03-13 02:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved
Applied in changeset commit:a29012b669e90a7e39a4727514538ace5a77eb80.
